//#line 2 "/opt/ros/kinetic/share/dynamic_reconfigure/cmake/../templates/ConfigType.h.template"
// *********************************************************
//
// File autogenerated for the spinnaker_camera_driver package
// by the dynamic_reconfigure package.
// Please do not edit.
//
// ********************************************************/

#ifndef __spinnaker_camera_driver__SPINNAKERCONFIG_H__
#define __spinnaker_camera_driver__SPINNAKERCONFIG_H__

#if __cplusplus >= 201103L
#define DYNAMIC_RECONFIGURE_FINAL final
#else
#define DYNAMIC_RECONFIGURE_FINAL
#endif

#include <dynamic_reconfigure/config_tools.h>
#include <limits>
#include <ros/node_handle.h>
#include <dynamic_reconfigure/ConfigDescription.h>
#include <dynamic_reconfigure/ParamDescription.h>
#include <dynamic_reconfigure/Group.h>
#include <dynamic_reconfigure/config_init_mutex.h>
#include <boost/any.hpp>

namespace spinnaker_camera_driver
{
  class SpinnakerConfigStatics;

  class SpinnakerConfig
  {
  public:
    class AbstractParamDescription : public dynamic_reconfigure::ParamDescription
    {
    public:
      AbstractParamDescription(std::string n, std::string t, uint32_t l,
          std::string d, std::string e)
      {
        name = n;
        type = t;
        level = l;
        description = d;
        edit_method = e;
      }

      virtual void clamp(SpinnakerConfig &config, const SpinnakerConfig &max, const SpinnakerConfig &min) const = 0;
      virtual void calcLevel(uint32_t &level, const SpinnakerConfig &config1, const SpinnakerConfig &config2) const = 0;
      virtual void fromServer(const ros::NodeHandle &nh, SpinnakerConfig &config) const = 0;
      virtual void toServer(const ros::NodeHandle &nh, const SpinnakerConfig &config) const = 0;
      virtual bool fromMessage(const dynamic_reconfigure::Config &msg, SpinnakerConfig &config) const = 0;
      virtual void toMessage(dynamic_reconfigure::Config &msg, const SpinnakerConfig &config) const = 0;
      virtual void getValue(const SpinnakerConfig &config, boost::any &val) const = 0;
    };

    typedef boost::shared_ptr<AbstractParamDescription> AbstractParamDescriptionPtr;
    typedef boost::shared_ptr<const AbstractParamDescription> AbstractParamDescriptionConstPtr;

    // Final keyword added to class because it has virtual methods and inherits
    // from a class with a non-virtual destructor.
    template <class T>
    class ParamDescription DYNAMIC_RECONFIGURE_FINAL : public AbstractParamDescription
    {
    public:
      ParamDescription(std::string a_name, std::string a_type, uint32_t a_level,
          std::string a_description, std::string a_edit_method, T SpinnakerConfig::* a_f) :
        AbstractParamDescription(a_name, a_type, a_level, a_description, a_edit_method),
        field(a_f)
      {}

      T (SpinnakerConfig::* field);

      virtual void clamp(SpinnakerConfig &config, const SpinnakerConfig &max, const SpinnakerConfig &min) const
      {
        if (config.*field > max.*field)
          config.*field = max.*field;

        if (config.*field < min.*field)
          config.*field = min.*field;
      }

      virtual void calcLevel(uint32_t &comb_level, const SpinnakerConfig &config1, const SpinnakerConfig &config2) const
      {
        if (config1.*field != config2.*field)
          comb_level |= level;
      }

      virtual void fromServer(const ros::NodeHandle &nh, SpinnakerConfig &config) const
      {
        nh.getParam(name, config.*field);
      }

      virtual void toServer(const ros::NodeHandle &nh, const SpinnakerConfig &config) const
      {
        nh.setParam(name, config.*field);
      }

      virtual bool fromMessage(const dynamic_reconfigure::Config &msg, SpinnakerConfig &config) const
      {
        return dynamic_reconfigure::ConfigTools::getParameter(msg, name, config.*field);
      }

      virtual void toMessage(dynamic_reconfigure::Config &msg, const SpinnakerConfig &config) const
      {
        dynamic_reconfigure::ConfigTools::appendParameter(msg, name, config.*field);
      }

      virtual void getValue(const SpinnakerConfig &config, boost::any &val) const
      {
        val = config.*field;
      }
    };

    class AbstractGroupDescription : public dynamic_reconfigure::Group
    {
      public:
      AbstractGroupDescription(std::string n, std::string t, int p, int i, bool s)
      {
        name = n;
        type = t;
        parent = p;
        state = s;
        id = i;
      }

      std::vector<AbstractParamDescriptionConstPtr> abstract_parameters;
      bool state;

      virtual void toMessage(dynamic_reconfigure::Config &msg, const boost::any &config) const = 0;
      virtual bool fromMessage(const dynamic_reconfigure::Config &msg, boost::any &config) const =0;
      virtual void updateParams(boost::any &cfg, SpinnakerConfig &top) const= 0;
      virtual void setInitialState(boost::any &cfg) const = 0;


      void convertParams()
      {
        for(std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = abstract_parameters.begin(); i != abstract_parameters.end(); ++i)
        {
          parameters.push_back(dynamic_reconfigure::ParamDescription(**i));
        }
      }
    };

    typedef boost::shared_ptr<AbstractGroupDescription> AbstractGroupDescriptionPtr;
    typedef boost::shared_ptr<const AbstractGroupDescription> AbstractGroupDescriptionConstPtr;

    // Final keyword added to class because it has virtual methods and inherits
    // from a class with a non-virtual destructor.
    template<class T, class PT>
    class GroupDescription DYNAMIC_RECONFIGURE_FINAL : public AbstractGroupDescription
    {
    public:
      GroupDescription(std::string a_name, std::string a_type, int a_parent, int a_id, bool a_s, T PT::* a_f) : AbstractGroupDescription(a_name, a_type, a_parent, a_id, a_s), field(a_f)
      {
      }

      GroupDescription(const GroupDescription<T, PT>& g): AbstractGroupDescription(g.name, g.type, g.parent, g.id, g.state), field(g.field), groups(g.groups)
      {
        parameters = g.parameters;
        abstract_parameters = g.abstract_parameters;
      }

      virtual bool fromMessage(const dynamic_reconfigure::Config &msg, boost::any &cfg) const
      {
        PT* config = boost::any_cast<PT*>(cfg);
        if(!dynamic_reconfigure::ConfigTools::getGroupState(msg, name, (*config).*field))
          return false;

        for(std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = groups.begin(); i != groups.end(); ++i)
        {
          boost::any n = &((*config).*field);
          if(!(*i)->fromMessage(msg, n))
            return false;
        }

        return true;
      }

      virtual void setInitialState(boost::any &cfg) const
      {
        PT* config = boost::any_cast<PT*>(cfg);
        T* group = &((*config).*field);
        group->state = state;

        for(std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = groups.begin(); i != groups.end(); ++i)
        {
          boost::any n = boost::any(&((*config).*field));
          (*i)->setInitialState(n);
        }

      }

      virtual void updateParams(boost::any &cfg, SpinnakerConfig &top) const
      {
        PT* config = boost::any_cast<PT*>(cfg);

        T* f = &((*config).*field);
        f->setParams(top, abstract_parameters);

        for(std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = groups.begin(); i != groups.end(); ++i)
        {
          boost::any n = &((*config).*field);
          (*i)->updateParams(n, top);
        }
      }

      virtual void toMessage(dynamic_reconfigure::Config &msg, const boost::any &cfg) const
      {
        const PT config = boost::any_cast<PT>(cfg);
        dynamic_reconfigure::ConfigTools::appendGroup<T>(msg, name, id, parent, config.*field);

        for(std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = groups.begin(); i != groups.end(); ++i)
        {
          (*i)->toMessage(msg, config.*field);
        }
      }

      T (PT::* field);
      std::vector<SpinnakerConfig::AbstractGroupDescriptionConstPtr> groups;
    };

class DEFAULT
{
  public:
    DEFAULT()
    {
      state = true;
      name = "Default";
    }

    void setParams(SpinnakerConfig &config, const std::vector<AbstractParamDescriptionConstPtr> params)
    {
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator _i = params.begin(); _i != params.end(); ++_i)
      {
        boost::any val;
        (*_i)->getValue(config, val);

        if("acquisition_frame_rate"==(*_i)->name){acquisition_frame_rate = boost::any_cast<double>(val);}
        if("acquisition_frame_rate_enable"==(*_i)->name){acquisition_frame_rate_enable = boost::any_cast<bool>(val);}
        if("exposure_mode"==(*_i)->name){exposure_mode = boost::any_cast<std::string>(val);}
        if("exposure_auto"==(*_i)->name){exposure_auto = boost::any_cast<std::string>(val);}
        if("exposure_time"==(*_i)->name){exposure_time = boost::any_cast<double>(val);}
        if("auto_exposure_time_upper_limit"==(*_i)->name){auto_exposure_time_upper_limit = boost::any_cast<double>(val);}
        if("gain_selector"==(*_i)->name){gain_selector = boost::any_cast<std::string>(val);}
        if("auto_gain"==(*_i)->name){auto_gain = boost::any_cast<std::string>(val);}
        if("gain"==(*_i)->name){gain = boost::any_cast<double>(val);}
        if("brightness"==(*_i)->name){brightness = boost::any_cast<double>(val);}
        if("sharpening_enable"==(*_i)->name){sharpening_enable = boost::any_cast<bool>(val);}
        if("auto_sharpness"==(*_i)->name){auto_sharpness = boost::any_cast<bool>(val);}
        if("sharpness"==(*_i)->name){sharpness = boost::any_cast<double>(val);}
        if("sharpening_threshold"==(*_i)->name){sharpening_threshold = boost::any_cast<double>(val);}
        if("saturation_enable"==(*_i)->name){saturation_enable = boost::any_cast<bool>(val);}
        if("saturation"==(*_i)->name){saturation = boost::any_cast<double>(val);}
        if("gamma_enable"==(*_i)->name){gamma_enable = boost::any_cast<bool>(val);}
        if("gamma"==(*_i)->name){gamma = boost::any_cast<double>(val);}
        if("auto_white_balance"==(*_i)->name){auto_white_balance = boost::any_cast<std::string>(val);}
        if("white_balance_blue_ratio"==(*_i)->name){white_balance_blue_ratio = boost::any_cast<double>(val);}
        if("white_balance_red_ratio"==(*_i)->name){white_balance_red_ratio = boost::any_cast<double>(val);}
        if("image_format_roi_width"==(*_i)->name){image_format_roi_width = boost::any_cast<int>(val);}
        if("image_format_roi_height"==(*_i)->name){image_format_roi_height = boost::any_cast<int>(val);}
        if("image_format_x_offset"==(*_i)->name){image_format_x_offset = boost::any_cast<int>(val);}
        if("image_format_y_offset"==(*_i)->name){image_format_y_offset = boost::any_cast<int>(val);}
        if("image_format_x_binning"==(*_i)->name){image_format_x_binning = boost::any_cast<int>(val);}
        if("image_format_y_binning"==(*_i)->name){image_format_y_binning = boost::any_cast<int>(val);}
        if("image_format_x_decimation"==(*_i)->name){image_format_x_decimation = boost::any_cast<int>(val);}
        if("image_format_y_decimation"==(*_i)->name){image_format_y_decimation = boost::any_cast<int>(val);}
        if("image_format_color_coding"==(*_i)->name){image_format_color_coding = boost::any_cast<std::string>(val);}
        if("enable_trigger"==(*_i)->name){enable_trigger = boost::any_cast<std::string>(val);}
        if("trigger_selector"==(*_i)->name){trigger_selector = boost::any_cast<std::string>(val);}
        if("trigger_activation_mode"==(*_i)->name){trigger_activation_mode = boost::any_cast<std::string>(val);}
        if("trigger_source"==(*_i)->name){trigger_source = boost::any_cast<std::string>(val);}
        if("trigger_overlap_mode"==(*_i)->name){trigger_overlap_mode = boost::any_cast<std::string>(val);}
        if("line_source"==(*_i)->name){line_source = boost::any_cast<std::string>(val);}
        if("line_selector"==(*_i)->name){line_selector = boost::any_cast<std::string>(val);}
        if("line_mode"==(*_i)->name){line_mode = boost::any_cast<std::string>(val);}
      }
    }

    double acquisition_frame_rate;
bool acquisition_frame_rate_enable;
std::string exposure_mode;
std::string exposure_auto;
double exposure_time;
double auto_exposure_time_upper_limit;
std::string gain_selector;
std::string auto_gain;
double gain;
double brightness;
bool sharpening_enable;
bool auto_sharpness;
double sharpness;
double sharpening_threshold;
bool saturation_enable;
double saturation;
bool gamma_enable;
double gamma;
std::string auto_white_balance;
double white_balance_blue_ratio;
double white_balance_red_ratio;
int image_format_roi_width;
int image_format_roi_height;
int image_format_x_offset;
int image_format_y_offset;
int image_format_x_binning;
int image_format_y_binning;
int image_format_x_decimation;
int image_format_y_decimation;
std::string image_format_color_coding;
std::string enable_trigger;
std::string trigger_selector;
std::string trigger_activation_mode;
std::string trigger_source;
std::string trigger_overlap_mode;
std::string line_source;
std::string line_selector;
std::string line_mode;

    bool state;
    std::string name;

    
}groups;



//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double acquisition_frame_rate;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      bool acquisition_frame_rate_enable;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string exposure_mode;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string exposure_auto;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double exposure_time;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double auto_exposure_time_upper_limit;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string gain_selector;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string auto_gain;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double gain;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double brightness;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      bool sharpening_enable;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      bool auto_sharpness;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double sharpness;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double sharpening_threshold;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      bool saturation_enable;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double saturation;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      bool gamma_enable;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double gamma;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string auto_white_balance;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double white_balance_blue_ratio;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      double white_balance_red_ratio;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int image_format_roi_width;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int image_format_roi_height;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int image_format_x_offset;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int image_format_y_offset;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int image_format_x_binning;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int image_format_y_binning;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int image_format_x_decimation;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      int image_format_y_decimation;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string image_format_color_coding;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string enable_trigger;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string trigger_selector;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string trigger_activation_mode;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string trigger_source;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string trigger_overlap_mode;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string line_source;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string line_selector;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      std::string line_mode;
//#line 228 "/opt/ros/kinetic/share/dynamic_reconfigure/cmake/../templates/ConfigType.h.template"

    bool __fromMessage__(dynamic_reconfigure::Config &msg)
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      const std::vector<AbstractGroupDescriptionConstPtr> &__group_descriptions__ = __getGroupDescriptions__();

      int count = 0;
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        if ((*i)->fromMessage(msg, *this))
          count++;

      for (std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = __group_descriptions__.begin(); i != __group_descriptions__.end(); i ++)
      {
        if ((*i)->id == 0)
        {
          boost::any n = boost::any(this);
          (*i)->updateParams(n, *this);
          (*i)->fromMessage(msg, n);
        }
      }

      if (count != dynamic_reconfigure::ConfigTools::size(msg))
      {
        ROS_ERROR("SpinnakerConfig::__fromMessage__ called with an unexpected parameter.");
        ROS_ERROR("Booleans:");
        for (unsigned int i = 0; i < msg.bools.size(); i++)
          ROS_ERROR("  %s", msg.bools[i].name.c_str());
        ROS_ERROR("Integers:");
        for (unsigned int i = 0; i < msg.ints.size(); i++)
          ROS_ERROR("  %s", msg.ints[i].name.c_str());
        ROS_ERROR("Doubles:");
        for (unsigned int i = 0; i < msg.doubles.size(); i++)
          ROS_ERROR("  %s", msg.doubles[i].name.c_str());
        ROS_ERROR("Strings:");
        for (unsigned int i = 0; i < msg.strs.size(); i++)
          ROS_ERROR("  %s", msg.strs[i].name.c_str());
        // @todo Check that there are no duplicates. Make this error more
        // explicit.
        return false;
      }
      return true;
    }

    // This version of __toMessage__ is used during initialization of
    // statics when __getParamDescriptions__ can't be called yet.
    void __toMessage__(dynamic_reconfigure::Config &msg, const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__, const std::vector<AbstractGroupDescriptionConstPtr> &__group_descriptions__) const
    {
      dynamic_reconfigure::ConfigTools::clear(msg);
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        (*i)->toMessage(msg, *this);

      for (std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = __group_descriptions__.begin(); i != __group_descriptions__.end(); ++i)
      {
        if((*i)->id == 0)
        {
          (*i)->toMessage(msg, *this);
        }
      }
    }

    void __toMessage__(dynamic_reconfigure::Config &msg) const
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      const std::vector<AbstractGroupDescriptionConstPtr> &__group_descriptions__ = __getGroupDescriptions__();
      __toMessage__(msg, __param_descriptions__, __group_descriptions__);
    }

    void __toServer__(const ros::NodeHandle &nh) const
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        (*i)->toServer(nh, *this);
    }

    void __fromServer__(const ros::NodeHandle &nh)
    {
      static bool setup=false;

      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        (*i)->fromServer(nh, *this);

      const std::vector<AbstractGroupDescriptionConstPtr> &__group_descriptions__ = __getGroupDescriptions__();
      for (std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = __group_descriptions__.begin(); i != __group_descriptions__.end(); i++){
        if (!setup && (*i)->id == 0) {
          setup = true;
          boost::any n = boost::any(this);
          (*i)->setInitialState(n);
        }
      }
    }

    void __clamp__()
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      const SpinnakerConfig &__max__ = __getMax__();
      const SpinnakerConfig &__min__ = __getMin__();
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        (*i)->clamp(*this, __max__, __min__);
    }

    uint32_t __level__(const SpinnakerConfig &config) const
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      uint32_t level = 0;
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        (*i)->calcLevel(level, config, *this);
      return level;
    }

    static const dynamic_reconfigure::ConfigDescription &__getDescriptionMessage__();
    static const SpinnakerConfig &__getDefault__();
    static const SpinnakerConfig &__getMax__();
    static const SpinnakerConfig &__getMin__();
    static const std::vector<AbstractParamDescriptionConstPtr> &__getParamDescriptions__();
    static const std::vector<AbstractGroupDescriptionConstPtr> &__getGroupDescriptions__();

  private:
    static const SpinnakerConfigStatics *__get_statics__();
  };

  template <> // Max and min are ignored for strings.
  inline void SpinnakerConfig::ParamDescription<std::string>::clamp(SpinnakerConfig &config, const SpinnakerConfig &max, const SpinnakerConfig &min) const
  {
    (void) config;
    (void) min;
    (void) max;
    return;
  }

  class SpinnakerConfigStatics
  {
    friend class SpinnakerConfig;

    SpinnakerConfigStatics()
    {
SpinnakerConfig::GroupDescription<SpinnakerConfig::DEFAULT, SpinnakerConfig> Default("Default", "", 0, 0, true, &SpinnakerConfig::groups);
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.acquisition_frame_rate = 0.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.acquisition_frame_rate = 120.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.acquisition_frame_rate = 10.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("acquisition_frame_rate", "double", 0, "User controlled acquisition frame rate in Hertz (frames per second).", "", &SpinnakerConfig::acquisition_frame_rate)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("acquisition_frame_rate", "double", 0, "User controlled acquisition frame rate in Hertz (frames per second).", "", &SpinnakerConfig::acquisition_frame_rate)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.acquisition_frame_rate_enable = 0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.acquisition_frame_rate_enable = 1;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.acquisition_frame_rate_enable = 0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("acquisition_frame_rate_enable", "bool", 0, "Enables manual (true) and automatic (false) control of the aquisition frame rate", "", &SpinnakerConfig::acquisition_frame_rate_enable)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("acquisition_frame_rate_enable", "bool", 0, "Enables manual (true) and automatic (false) control of the aquisition frame rate", "", &SpinnakerConfig::acquisition_frame_rate_enable)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.exposure_mode = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.exposure_mode = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.exposure_mode = "Timed";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("exposure_mode", "str", 1, "Sets the operation mode of the Exposure (Timed or TriggerWidth).", "", &SpinnakerConfig::exposure_mode)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("exposure_mode", "str", 1, "Sets the operation mode of the Exposure (Timed or TriggerWidth).", "", &SpinnakerConfig::exposure_mode)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.exposure_auto = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.exposure_auto = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.exposure_auto = "Continuous";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("exposure_auto", "str", 0, "Sets the automatic exposure mode to: 'Off', 'Once' or 'Continuous'", "", &SpinnakerConfig::exposure_auto)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("exposure_auto", "str", 0, "Sets the automatic exposure mode to: 'Off', 'Once' or 'Continuous'", "", &SpinnakerConfig::exposure_auto)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.exposure_time = 0.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.exposure_time = 32754.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.exposure_time = 100.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("exposure_time", "double", 0, "Exposure time in microseconds when Exposure Mode is Timed and Exposure Auto is not Continuous.", "", &SpinnakerConfig::exposure_time)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("exposure_time", "double", 0, "Exposure time in microseconds when Exposure Mode is Timed and Exposure Auto is not Continuous.", "", &SpinnakerConfig::exposure_time)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.auto_exposure_time_upper_limit = 0.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.auto_exposure_time_upper_limit = 32754.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.auto_exposure_time_upper_limit = 5000.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("auto_exposure_time_upper_limit", "double", 0, "Upper Limit on Shutter Speed.", "", &SpinnakerConfig::auto_exposure_time_upper_limit)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("auto_exposure_time_upper_limit", "double", 0, "Upper Limit on Shutter Speed.", "", &SpinnakerConfig::auto_exposure_time_upper_limit)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.gain_selector = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.gain_selector = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.gain_selector = "All";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("gain_selector", "str", 0, "Selects which gain to control. The All selection is a total amplification across all channels.", "", &SpinnakerConfig::gain_selector)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("gain_selector", "str", 0, "Selects which gain to control. The All selection is a total amplification across all channels.", "", &SpinnakerConfig::gain_selector)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.auto_gain = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.auto_gain = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.auto_gain = "Continuous";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("auto_gain", "str", 0, "Gain state control. (Off, Once, Continuous)", "", &SpinnakerConfig::auto_gain)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("auto_gain", "str", 0, "Gain state control. (Off, Once, Continuous)", "", &SpinnakerConfig::auto_gain)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.gain = -10.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.gain = 30.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.gain = 0.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("gain", "double", 0, "Controls the amplification of the video signal in dB.", "", &SpinnakerConfig::gain)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("gain", "double", 0, "Controls the amplification of the video signal in dB.", "", &SpinnakerConfig::gain)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.brightness = 0.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.brightness = 10.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.brightness = 1.7;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("brightness", "double", 0, "Also known as Black level offset. Refers to the output of the camera when not illuminated.", "", &SpinnakerConfig::brightness)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("brightness", "double", 0, "Also known as Black level offset. Refers to the output of the camera when not illuminated.", "", &SpinnakerConfig::brightness)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.sharpening_enable = 0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.sharpening_enable = 1;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.sharpening_enable = 0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("sharpening_enable", "bool", 0, "Enables/disables the sharpening feature. Sharpening is disabled by default.", "", &SpinnakerConfig::sharpening_enable)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("sharpening_enable", "bool", 0, "Enables/disables the sharpening feature. Sharpening is disabled by default.", "", &SpinnakerConfig::sharpening_enable)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.auto_sharpness = 0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.auto_sharpness = 1;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.auto_sharpness = 1;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("auto_sharpness", "bool", 0, "Enables/disables the auto sharpening feature.", "", &SpinnakerConfig::auto_sharpness)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("auto_sharpness", "bool", 0, "Enables/disables the auto sharpening feature.", "", &SpinnakerConfig::auto_sharpness)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.sharpness = 0.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.sharpness = 4095.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.sharpness = 1024.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("sharpness", "double", 0, "Controls the amount to sharpen a signal.", "", &SpinnakerConfig::sharpness)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("sharpness", "double", 0, "Controls the amount to sharpen a signal.", "", &SpinnakerConfig::sharpness)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.sharpening_threshold = 0.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.sharpening_threshold = 0.25;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.sharpening_threshold = 0.1;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("sharpening_threshold", "double", 0, "Controls the minimum intensity gradient change to invoke sharpening. ", "", &SpinnakerConfig::sharpening_threshold)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("sharpening_threshold", "double", 0, "Controls the minimum intensity gradient change to invoke sharpening. ", "", &SpinnakerConfig::sharpening_threshold)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.saturation_enable = 0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.saturation_enable = 1;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.saturation_enable = 0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("saturation_enable", "bool", 0, "Enables/disables Saturation adjustment..", "", &SpinnakerConfig::saturation_enable)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("saturation_enable", "bool", 0, "Enables/disables Saturation adjustment..", "", &SpinnakerConfig::saturation_enable)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.saturation = 0.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.saturation = 399.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.saturation = 100.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("saturation", "double", 0, "Saturation.", "", &SpinnakerConfig::saturation)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("saturation", "double", 0, "Saturation.", "", &SpinnakerConfig::saturation)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.gamma_enable = 0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.gamma_enable = 1;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.gamma_enable = 1;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("gamma_enable", "bool", 0, "Enables/disables gamma correction.", "", &SpinnakerConfig::gamma_enable)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<bool>("gamma_enable", "bool", 0, "Enables/disables gamma correction.", "", &SpinnakerConfig::gamma_enable)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.gamma = 0.5;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.gamma = 4.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.gamma = 1.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("gamma", "double", 0, "Controls the gamma correction of pixel intensity.", "", &SpinnakerConfig::gamma)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("gamma", "double", 0, "Controls the gamma correction of pixel intensity.", "", &SpinnakerConfig::gamma)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.auto_white_balance = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.auto_white_balance = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.auto_white_balance = "Off";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("auto_white_balance", "str", 0, "White Balance compensates for color shifts caused by different lighting conditions.", "", &SpinnakerConfig::auto_white_balance)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("auto_white_balance", "str", 0, "White Balance compensates for color shifts caused by different lighting conditions.", "", &SpinnakerConfig::auto_white_balance)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.white_balance_blue_ratio = 0.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.white_balance_blue_ratio = 1023.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.white_balance_blue_ratio = 800.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("white_balance_blue_ratio", "double", 0, "White balance blue component.", "", &SpinnakerConfig::white_balance_blue_ratio)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("white_balance_blue_ratio", "double", 0, "White balance blue component.", "", &SpinnakerConfig::white_balance_blue_ratio)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.white_balance_red_ratio = 0.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.white_balance_red_ratio = 1023.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.white_balance_red_ratio = 550.0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("white_balance_red_ratio", "double", 0, "White balance red component.", "", &SpinnakerConfig::white_balance_red_ratio)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<double>("white_balance_red_ratio", "double", 0, "White balance red component.", "", &SpinnakerConfig::white_balance_red_ratio)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_roi_width = 0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_roi_width = 65535;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_roi_width = 0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_roi_width", "int", 1, "Width of the image provided by the device (in pixels).", "", &SpinnakerConfig::image_format_roi_width)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_roi_width", "int", 1, "Width of the image provided by the device (in pixels).", "", &SpinnakerConfig::image_format_roi_width)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_roi_height = 0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_roi_height = 65535;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_roi_height = 0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_roi_height", "int", 1, "Height of the image provided by the device (in pixels).", "", &SpinnakerConfig::image_format_roi_height)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_roi_height", "int", 1, "Height of the image provided by the device (in pixels).", "", &SpinnakerConfig::image_format_roi_height)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_x_offset = 0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_x_offset = 65535;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_x_offset = 0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_x_offset", "int", 1, "Horizontal offset from the origin to the ROI (in pixels).", "", &SpinnakerConfig::image_format_x_offset)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_x_offset", "int", 1, "Horizontal offset from the origin to the ROI (in pixels).", "", &SpinnakerConfig::image_format_x_offset)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_y_offset = 0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_y_offset = 65535;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_y_offset = 0;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_y_offset", "int", 1, "Vertical offset from the origin to the ROI (in pixels).", "", &SpinnakerConfig::image_format_y_offset)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_y_offset", "int", 1, "Vertical offset from the origin to the ROI (in pixels).", "", &SpinnakerConfig::image_format_y_offset)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_x_binning = 1;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_x_binning = 8;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_x_binning = 1;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_x_binning", "int", 1, "Horizontal Binning.", "", &SpinnakerConfig::image_format_x_binning)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_x_binning", "int", 1, "Horizontal Binning.", "", &SpinnakerConfig::image_format_x_binning)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_y_binning = 1;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_y_binning = 8;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_y_binning = 1;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_y_binning", "int", 1, "Vertical Binning.", "", &SpinnakerConfig::image_format_y_binning)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_y_binning", "int", 1, "Vertical Binning.", "", &SpinnakerConfig::image_format_y_binning)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_x_decimation = 1;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_x_decimation = 8;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_x_decimation = 1;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_x_decimation", "int", 1, "Horizontal Decimation.", "", &SpinnakerConfig::image_format_x_decimation)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_x_decimation", "int", 1, "Horizontal Decimation.", "", &SpinnakerConfig::image_format_x_decimation)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_y_decimation = 1;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_y_decimation = 8;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_y_decimation = 1;
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_y_decimation", "int", 1, "Vertical Decimation.", "", &SpinnakerConfig::image_format_y_decimation)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<int>("image_format_y_decimation", "int", 1, "Vertical Decimation.", "", &SpinnakerConfig::image_format_y_decimation)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.image_format_color_coding = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.image_format_color_coding = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.image_format_color_coding = "Mono8";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("image_format_color_coding", "str", 1, "Image Color coding", "{'enum_description': 'Image Color Coding: Format of the pixel provided by the camera.', 'enum': [{'srcline': 133, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Mono8', 'ctype': 'std::string', 'type': 'str', 'name': 'Mono8'}, {'srcline': 134, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Mono16', 'ctype': 'std::string', 'type': 'str', 'name': 'Mono16'}, {'srcline': 136, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'RGB8Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'RGB8Packed'}, {'srcline': 138, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerGR8', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerGR8'}, {'srcline': 139, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerRG8', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerRG8'}, {'srcline': 140, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerGB8', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerGB8'}, {'srcline': 141, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerBG8', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerBG8'}, {'srcline': 143, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerGR16', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerGR16'}, {'srcline': 144, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerRG16', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerRG16'}, {'srcline': 145, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerGB16', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerGB16'}, {'srcline': 146, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerBG16', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerBG16'}, {'srcline': 148, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Mono12Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'Mono12Packed'}, {'srcline': 150, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerGR12Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerGR12Packed'}, {'srcline': 151, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerRG12Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerRG12Packed'}, {'srcline': 152, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerGB12Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerGB12Packed'}, {'srcline': 153, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerBG12Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerBG12Packed'}, {'srcline': 155, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'YUV411Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'YUV411Packed'}, {'srcline': 156, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'YUV422Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'YUV422Packed'}, {'srcline': 157, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'YUV444Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'YUV444Packed'}, {'srcline': 159, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Mono12p', 'ctype': 'std::string', 'type': 'str', 'name': 'Mono12p'}, {'srcline': 161, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerGR12p', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerGR12p'}, {'srcline': 162, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerRG12p', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerRG12p'}, {'srcline': 163, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerGB12p', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerGB12p'}, {'srcline': 164, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerBG12p', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerBG12p'}, {'srcline': 167, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'YCbCr8', 'ctype': 'std::string', 'type': 'str', 'name': 'YCbCr8'}, {'srcline': 168, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'YCbCr422_8', 'ctype': 'std::string', 'type': 'str', 'name': 'YCbCr422_8'}, {'srcline': 169, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'YCbCr411_8', 'ctype': 'std::string', 'type': 'str', 'name': 'YCbCr411_8'}, {'srcline': 171, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BGR8', 'ctype': 'std::string', 'type': 'str', 'name': 'BGR8'}, {'srcline': 172, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BGRa8', 'ctype': 'std::string', 'type': 'str', 'name': 'BGRa8'}]}", &SpinnakerConfig::image_format_color_coding)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("image_format_color_coding", "str", 1, "Image Color coding", "{'enum_description': 'Image Color Coding: Format of the pixel provided by the camera.', 'enum': [{'srcline': 133, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Mono8', 'ctype': 'std::string', 'type': 'str', 'name': 'Mono8'}, {'srcline': 134, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Mono16', 'ctype': 'std::string', 'type': 'str', 'name': 'Mono16'}, {'srcline': 136, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'RGB8Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'RGB8Packed'}, {'srcline': 138, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerGR8', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerGR8'}, {'srcline': 139, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerRG8', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerRG8'}, {'srcline': 140, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerGB8', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerGB8'}, {'srcline': 141, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerBG8', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerBG8'}, {'srcline': 143, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerGR16', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerGR16'}, {'srcline': 144, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerRG16', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerRG16'}, {'srcline': 145, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerGB16', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerGB16'}, {'srcline': 146, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerBG16', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerBG16'}, {'srcline': 148, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Mono12Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'Mono12Packed'}, {'srcline': 150, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerGR12Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerGR12Packed'}, {'srcline': 151, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerRG12Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerRG12Packed'}, {'srcline': 152, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerGB12Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerGB12Packed'}, {'srcline': 153, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerBG12Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerBG12Packed'}, {'srcline': 155, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'YUV411Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'YUV411Packed'}, {'srcline': 156, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'YUV422Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'YUV422Packed'}, {'srcline': 157, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'YUV444Packed', 'ctype': 'std::string', 'type': 'str', 'name': 'YUV444Packed'}, {'srcline': 159, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Mono12p', 'ctype': 'std::string', 'type': 'str', 'name': 'Mono12p'}, {'srcline': 161, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerGR12p', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerGR12p'}, {'srcline': 162, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerRG12p', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerRG12p'}, {'srcline': 163, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerGB12p', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerGB12p'}, {'srcline': 164, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BayerBG12p', 'ctype': 'std::string', 'type': 'str', 'name': 'BayerBG12p'}, {'srcline': 167, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'YCbCr8', 'ctype': 'std::string', 'type': 'str', 'name': 'YCbCr8'}, {'srcline': 168, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'YCbCr422_8', 'ctype': 'std::string', 'type': 'str', 'name': 'YCbCr422_8'}, {'srcline': 169, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'YCbCr411_8', 'ctype': 'std::string', 'type': 'str', 'name': 'YCbCr411_8'}, {'srcline': 171, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BGR8', 'ctype': 'std::string', 'type': 'str', 'name': 'BGR8'}, {'srcline': 172, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'BGRa8', 'ctype': 'std::string', 'type': 'str', 'name': 'BGRa8'}]}", &SpinnakerConfig::image_format_color_coding)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.enable_trigger = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.enable_trigger = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.enable_trigger = "Off";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("enable_trigger", "str", 0, "Enable the external triggering mode.", "", &SpinnakerConfig::enable_trigger)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("enable_trigger", "str", 0, "Enable the external triggering mode.", "", &SpinnakerConfig::enable_trigger)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.trigger_selector = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.trigger_selector = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.trigger_selector = "FrameStart";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("trigger_selector", "str", 0, "Selects the type of trigger to configure.", "{'enum_description': 'Trigger Types', 'enum': [{'srcline': 187, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'AcquisitionStart', 'ctype': 'std::string', 'type': 'str', 'name': 'AcquisitionStart'}, {'srcline': 188, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'FrameStart', 'ctype': 'std::string', 'type': 'str', 'name': 'FrameStart'}, {'srcline': 189, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'FrameBurstStart', 'ctype': 'std::string', 'type': 'str', 'name': 'FrameBurstStart'}]}", &SpinnakerConfig::trigger_selector)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("trigger_selector", "str", 0, "Selects the type of trigger to configure.", "{'enum_description': 'Trigger Types', 'enum': [{'srcline': 187, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'AcquisitionStart', 'ctype': 'std::string', 'type': 'str', 'name': 'AcquisitionStart'}, {'srcline': 188, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'FrameStart', 'ctype': 'std::string', 'type': 'str', 'name': 'FrameStart'}, {'srcline': 189, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'FrameBurstStart', 'ctype': 'std::string', 'type': 'str', 'name': 'FrameBurstStart'}]}", &SpinnakerConfig::trigger_selector)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.trigger_activation_mode = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.trigger_activation_mode = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.trigger_activation_mode = "FallingEdge";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("trigger_activation_mode", "str", 0, "Trigger Activiation Modes", "{'enum_description': 'Trigger Activation Modes', 'enum': [{'srcline': 196, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'LevelLow', 'ctype': 'std::string', 'type': 'str', 'name': 'LevelLow'}, {'srcline': 197, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'LevelHigh', 'ctype': 'std::string', 'type': 'str', 'name': 'LevelHigh'}, {'srcline': 198, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'FallingEdge', 'ctype': 'std::string', 'type': 'str', 'name': 'FallingEdge'}, {'srcline': 199, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'RisingEdge', 'ctype': 'std::string', 'type': 'str', 'name': 'RisingEdge'}, {'srcline': 200, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'AnyEdge', 'ctype': 'std::string', 'type': 'str', 'name': 'AnyEdge'}]}", &SpinnakerConfig::trigger_activation_mode)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("trigger_activation_mode", "str", 0, "Trigger Activiation Modes", "{'enum_description': 'Trigger Activation Modes', 'enum': [{'srcline': 196, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'LevelLow', 'ctype': 'std::string', 'type': 'str', 'name': 'LevelLow'}, {'srcline': 197, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'LevelHigh', 'ctype': 'std::string', 'type': 'str', 'name': 'LevelHigh'}, {'srcline': 198, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'FallingEdge', 'ctype': 'std::string', 'type': 'str', 'name': 'FallingEdge'}, {'srcline': 199, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'RisingEdge', 'ctype': 'std::string', 'type': 'str', 'name': 'RisingEdge'}, {'srcline': 200, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'AnyEdge', 'ctype': 'std::string', 'type': 'str', 'name': 'AnyEdge'}]}", &SpinnakerConfig::trigger_activation_mode)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.trigger_source = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.trigger_source = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.trigger_source = "Line0";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("trigger_source", "str", 0, "Trigger Sources", "{'enum_description': 'Software and Hardware Trigger Sources', 'enum': [{'srcline': 205, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Software', 'ctype': 'std::string', 'type': 'str', 'name': 'Software'}, {'srcline': 206, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line0', 'ctype': 'std::string', 'type': 'str', 'name': 'Line0'}, {'srcline': 207, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line1', 'ctype': 'std::string', 'type': 'str', 'name': 'Line1'}, {'srcline': 208, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line2', 'ctype': 'std::string', 'type': 'str', 'name': 'Line2'}, {'srcline': 209, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line3', 'ctype': 'std::string', 'type': 'str', 'name': 'Line3'}, {'srcline': 211, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'UserOutput0', 'ctype': 'std::string', 'type': 'str', 'name': 'UserOutput0'}, {'srcline': 212, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'UserOutput1', 'ctype': 'std::string', 'type': 'str', 'name': 'UserOutput1'}, {'srcline': 213, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'UserOutput2', 'ctype': 'std::string', 'type': 'str', 'name': 'UserOutput2'}, {'srcline': 214, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'UserOutput3', 'ctype': 'std::string', 'type': 'str', 'name': 'UserOutput3'}, {'srcline': 216, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Counter0Start', 'ctype': 'std::string', 'type': 'str', 'name': 'Counter0Start'}, {'srcline': 217, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Counter1Start', 'ctype': 'std::string', 'type': 'str', 'name': 'Counter1Start'}, {'srcline': 218, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Counter0End', 'ctype': 'std::string', 'type': 'str', 'name': 'Counter0End'}, {'srcline': 219, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Counter1End', 'ctype': 'std::string', 'type': 'str', 'name': 'Counter1End'}, {'srcline': 221, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'LogicBlock0', 'ctype': 'std::string', 'type': 'str', 'name': 'LogicBlock0'}, {'srcline': 222, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'LogicBlock1', 'ctype': 'std::string', 'type': 'str', 'name': 'LogicBlock1'}, {'srcline': 223, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Action0', 'ctype': 'std::string', 'type': 'str', 'name': 'Action0'}]}", &SpinnakerConfig::trigger_source)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("trigger_source", "str", 0, "Trigger Sources", "{'enum_description': 'Software and Hardware Trigger Sources', 'enum': [{'srcline': 205, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Software', 'ctype': 'std::string', 'type': 'str', 'name': 'Software'}, {'srcline': 206, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line0', 'ctype': 'std::string', 'type': 'str', 'name': 'Line0'}, {'srcline': 207, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line1', 'ctype': 'std::string', 'type': 'str', 'name': 'Line1'}, {'srcline': 208, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line2', 'ctype': 'std::string', 'type': 'str', 'name': 'Line2'}, {'srcline': 209, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line3', 'ctype': 'std::string', 'type': 'str', 'name': 'Line3'}, {'srcline': 211, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'UserOutput0', 'ctype': 'std::string', 'type': 'str', 'name': 'UserOutput0'}, {'srcline': 212, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'UserOutput1', 'ctype': 'std::string', 'type': 'str', 'name': 'UserOutput1'}, {'srcline': 213, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'UserOutput2', 'ctype': 'std::string', 'type': 'str', 'name': 'UserOutput2'}, {'srcline': 214, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'UserOutput3', 'ctype': 'std::string', 'type': 'str', 'name': 'UserOutput3'}, {'srcline': 216, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Counter0Start', 'ctype': 'std::string', 'type': 'str', 'name': 'Counter0Start'}, {'srcline': 217, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Counter1Start', 'ctype': 'std::string', 'type': 'str', 'name': 'Counter1Start'}, {'srcline': 218, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Counter0End', 'ctype': 'std::string', 'type': 'str', 'name': 'Counter0End'}, {'srcline': 219, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Counter1End', 'ctype': 'std::string', 'type': 'str', 'name': 'Counter1End'}, {'srcline': 221, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'LogicBlock0', 'ctype': 'std::string', 'type': 'str', 'name': 'LogicBlock0'}, {'srcline': 222, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'LogicBlock1', 'ctype': 'std::string', 'type': 'str', 'name': 'LogicBlock1'}, {'srcline': 223, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Action0', 'ctype': 'std::string', 'type': 'str', 'name': 'Action0'}]}", &SpinnakerConfig::trigger_source)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.trigger_overlap_mode = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.trigger_overlap_mode = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.trigger_overlap_mode = "ReadOut";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("trigger_overlap_mode", "str", 0, "Trigger Overlap Modes", "{'enum_description': 'Trigger Overlap Modes', 'enum': [{'srcline': 234, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Off', 'ctype': 'std::string', 'type': 'str', 'name': 'Off'}, {'srcline': 235, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'ReadOut', 'ctype': 'std::string', 'type': 'str', 'name': 'ReadOut'}, {'srcline': 236, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'PreviousFrame', 'ctype': 'std::string', 'type': 'str', 'name': 'PreviousFrame'}]}", &SpinnakerConfig::trigger_overlap_mode)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("trigger_overlap_mode", "str", 0, "Trigger Overlap Modes", "{'enum_description': 'Trigger Overlap Modes', 'enum': [{'srcline': 234, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Off', 'ctype': 'std::string', 'type': 'str', 'name': 'Off'}, {'srcline': 235, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'ReadOut', 'ctype': 'std::string', 'type': 'str', 'name': 'ReadOut'}, {'srcline': 236, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'PreviousFrame', 'ctype': 'std::string', 'type': 'str', 'name': 'PreviousFrame'}]}", &SpinnakerConfig::trigger_overlap_mode)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.line_source = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.line_source = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.line_source = "Off";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("line_source", "str", 0, "Line Sources", "{'enum_description': 'Selects which internal acquisition or I/O source signal to output on the selected line. LineMode must be Output', 'enum': [{'srcline': 247, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Off', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_Off'}, {'srcline': 249, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line0', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_Line0'}, {'srcline': 250, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line1', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_Line1'}, {'srcline': 251, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line2', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_Line2'}, {'srcline': 252, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line3', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_Line3'}, {'srcline': 254, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'UserOutput0', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_UserOutput0'}, {'srcline': 255, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'UserOutput1', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_UserOutput1'}, {'srcline': 256, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'UserOutput2', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_UserOutput2'}, {'srcline': 257, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'UserOutput3', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_UserOutput3'}, {'srcline': 259, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Counter0Active', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_Counter0Active'}, {'srcline': 260, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Counter1Active', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_Counter1Active'}, {'srcline': 261, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'LogicBlock0', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_LogicBlock0'}, {'srcline': 262, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'LogicBlock1', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_LogicBlock1'}, {'srcline': 264, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'ExposureActive', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_ExposureActive'}, {'srcline': 265, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'FrameTriggerWait', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_FrameTriggerWait'}, {'srcline': 266, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'SerialPort0', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_SerialPort0'}, {'srcline': 267, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'PPSSignal', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_PPSSignal'}, {'srcline': 268, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'AllPixel', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_AllPixel'}, {'srcline': 269, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'AnyPixel', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_AnyPixel'}]}", &SpinnakerConfig::line_source)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("line_source", "str", 0, "Line Sources", "{'enum_description': 'Selects which internal acquisition or I/O source signal to output on the selected line. LineMode must be Output', 'enum': [{'srcline': 247, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Off', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_Off'}, {'srcline': 249, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line0', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_Line0'}, {'srcline': 250, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line1', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_Line1'}, {'srcline': 251, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line2', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_Line2'}, {'srcline': 252, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line3', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_Line3'}, {'srcline': 254, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'UserOutput0', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_UserOutput0'}, {'srcline': 255, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'UserOutput1', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_UserOutput1'}, {'srcline': 256, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'UserOutput2', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_UserOutput2'}, {'srcline': 257, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'UserOutput3', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_UserOutput3'}, {'srcline': 259, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Counter0Active', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_Counter0Active'}, {'srcline': 260, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Counter1Active', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_Counter1Active'}, {'srcline': 261, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'LogicBlock0', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_LogicBlock0'}, {'srcline': 262, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'LogicBlock1', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_LogicBlock1'}, {'srcline': 264, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'ExposureActive', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_ExposureActive'}, {'srcline': 265, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'FrameTriggerWait', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_FrameTriggerWait'}, {'srcline': 266, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'SerialPort0', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_SerialPort0'}, {'srcline': 267, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'PPSSignal', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_PPSSignal'}, {'srcline': 268, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'AllPixel', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_AllPixel'}, {'srcline': 269, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'AnyPixel', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSource_AnyPixel'}]}", &SpinnakerConfig::line_source)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.line_selector = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.line_selector = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.line_selector = "Line0";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("line_selector", "str", 0, "Line Selector", "{'enum_description': 'Selects the physical line (or pin) of the external device connector to configure.', 'enum': [{'srcline': 275, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line0', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSelector_Line0'}, {'srcline': 276, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line1', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSelector_Line1'}, {'srcline': 277, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line2', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSelector_Line2'}, {'srcline': 278, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line3', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSelector_Line3'}]}", &SpinnakerConfig::line_selector)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("line_selector", "str", 0, "Line Selector", "{'enum_description': 'Selects the physical line (or pin) of the external device connector to configure.', 'enum': [{'srcline': 275, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line0', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSelector_Line0'}, {'srcline': 276, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line1', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSelector_Line1'}, {'srcline': 277, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line2', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSelector_Line2'}, {'srcline': 278, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Line3', 'ctype': 'std::string', 'type': 'str', 'name': 'LineSelector_Line3'}]}", &SpinnakerConfig::line_selector)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __min__.line_mode = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __max__.line_mode = "";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __default__.line_mode = "Input";
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.abstract_parameters.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("line_mode", "str", 0, "Line Mode", "{'enum_description': 'Line Mode', 'enum': [{'srcline': 284, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Input', 'ctype': 'std::string', 'type': 'str', 'name': 'Input'}, {'srcline': 285, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Output', 'ctype': 'std::string', 'type': 'str', 'name': 'Output'}]}", &SpinnakerConfig::line_mode)));
//#line 290 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __param_descriptions__.push_back(SpinnakerConfig::AbstractParamDescriptionConstPtr(new SpinnakerConfig::ParamDescription<std::string>("line_mode", "str", 0, "Line Mode", "{'enum_description': 'Line Mode', 'enum': [{'srcline': 284, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Input', 'ctype': 'std::string', 'type': 'str', 'name': 'Input'}, {'srcline': 285, 'description': '', 'srcfile': '/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg', 'cconsttype': 'const char * const', 'value': 'Output', 'ctype': 'std::string', 'type': 'str', 'name': 'Output'}]}", &SpinnakerConfig::line_mode)));
//#line 245 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.convertParams();
//#line 245 "/opt/ros/kinetic/lib/python2.7/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __group_descriptions__.push_back(SpinnakerConfig::AbstractGroupDescriptionConstPtr(new SpinnakerConfig::GroupDescription<SpinnakerConfig::DEFAULT, SpinnakerConfig>(Default)));
//#line 366 "/opt/ros/kinetic/share/dynamic_reconfigure/cmake/../templates/ConfigType.h.template"

      for (std::vector<SpinnakerConfig::AbstractGroupDescriptionConstPtr>::const_iterator i = __group_descriptions__.begin(); i != __group_descriptions__.end(); ++i)
      {
        __description_message__.groups.push_back(**i);
      }
      __max__.__toMessage__(__description_message__.max, __param_descriptions__, __group_descriptions__);
      __min__.__toMessage__(__description_message__.min, __param_descriptions__, __group_descriptions__);
      __default__.__toMessage__(__description_message__.dflt, __param_descriptions__, __group_descriptions__);
    }
    std::vector<SpinnakerConfig::AbstractParamDescriptionConstPtr> __param_descriptions__;
    std::vector<SpinnakerConfig::AbstractGroupDescriptionConstPtr> __group_descriptions__;
    SpinnakerConfig __max__;
    SpinnakerConfig __min__;
    SpinnakerConfig __default__;
    dynamic_reconfigure::ConfigDescription __description_message__;

    static const SpinnakerConfigStatics *get_instance()
    {
      // Split this off in a separate function because I know that
      // instance will get initialized the first time get_instance is
      // called, and I am guaranteeing that get_instance gets called at
      // most once.
      static SpinnakerConfigStatics instance;
      return &instance;
    }
  };

  inline const dynamic_reconfigure::ConfigDescription &SpinnakerConfig::__getDescriptionMessage__()
  {
    return __get_statics__()->__description_message__;
  }

  inline const SpinnakerConfig &SpinnakerConfig::__getDefault__()
  {
    return __get_statics__()->__default__;
  }

  inline const SpinnakerConfig &SpinnakerConfig::__getMax__()
  {
    return __get_statics__()->__max__;
  }

  inline const SpinnakerConfig &SpinnakerConfig::__getMin__()
  {
    return __get_statics__()->__min__;
  }

  inline const std::vector<SpinnakerConfig::AbstractParamDescriptionConstPtr> &SpinnakerConfig::__getParamDescriptions__()
  {
    return __get_statics__()->__param_descriptions__;
  }

  inline const std::vector<SpinnakerConfig::AbstractGroupDescriptionConstPtr> &SpinnakerConfig::__getGroupDescriptions__()
  {
    return __get_statics__()->__group_descriptions__;
  }

  inline const SpinnakerConfigStatics *SpinnakerConfig::__get_statics__()
  {
    const static SpinnakerConfigStatics *statics;

    if (statics) // Common case
      return statics;

    boost::mutex::scoped_lock lock(dynamic_reconfigure::__init_mutex__);

    if (statics) // In case we lost a race.
      return statics;

    statics = SpinnakerConfigStatics::get_instance();

    return statics;
  }

//#line 133 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Mono8 = "Mono8";
//#line 134 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Mono16 = "Mono16";
//#line 136 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_RGB8Packed = "RGB8Packed";
//#line 138 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerGR8 = "BayerGR8";
//#line 139 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerRG8 = "BayerRG8";
//#line 140 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerGB8 = "BayerGB8";
//#line 141 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerBG8 = "BayerBG8";
//#line 143 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerGR16 = "BayerGR16";
//#line 144 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerRG16 = "BayerRG16";
//#line 145 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerGB16 = "BayerGB16";
//#line 146 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerBG16 = "BayerBG16";
//#line 148 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Mono12Packed = "Mono12Packed";
//#line 150 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerGR12Packed = "BayerGR12Packed";
//#line 151 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerRG12Packed = "BayerRG12Packed";
//#line 152 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerGB12Packed = "BayerGB12Packed";
//#line 153 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerBG12Packed = "BayerBG12Packed";
//#line 155 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_YUV411Packed = "YUV411Packed";
//#line 156 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_YUV422Packed = "YUV422Packed";
//#line 157 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_YUV444Packed = "YUV444Packed";
//#line 159 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Mono12p = "Mono12p";
//#line 161 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerGR12p = "BayerGR12p";
//#line 162 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerRG12p = "BayerRG12p";
//#line 163 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerGB12p = "BayerGB12p";
//#line 164 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BayerBG12p = "BayerBG12p";
//#line 167 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_YCbCr8 = "YCbCr8";
//#line 168 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_YCbCr422_8 = "YCbCr422_8";
//#line 169 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_YCbCr411_8 = "YCbCr411_8";
//#line 171 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BGR8 = "BGR8";
//#line 172 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_BGRa8 = "BGRa8";
//#line 187 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_AcquisitionStart = "AcquisitionStart";
//#line 188 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_FrameStart = "FrameStart";
//#line 189 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_FrameBurstStart = "FrameBurstStart";
//#line 196 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LevelLow = "LevelLow";
//#line 197 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LevelHigh = "LevelHigh";
//#line 198 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_FallingEdge = "FallingEdge";
//#line 199 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_RisingEdge = "RisingEdge";
//#line 200 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_AnyEdge = "AnyEdge";
//#line 205 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Software = "Software";
//#line 206 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Line0 = "Line0";
//#line 207 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Line1 = "Line1";
//#line 208 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Line2 = "Line2";
//#line 209 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Line3 = "Line3";
//#line 211 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_UserOutput0 = "UserOutput0";
//#line 212 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_UserOutput1 = "UserOutput1";
//#line 213 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_UserOutput2 = "UserOutput2";
//#line 214 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_UserOutput3 = "UserOutput3";
//#line 216 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Counter0Start = "Counter0Start";
//#line 217 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Counter1Start = "Counter1Start";
//#line 218 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Counter0End = "Counter0End";
//#line 219 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Counter1End = "Counter1End";
//#line 221 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LogicBlock0 = "LogicBlock0";
//#line 222 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LogicBlock1 = "LogicBlock1";
//#line 223 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Action0 = "Action0";
//#line 234 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Off = "Off";
//#line 235 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_ReadOut = "ReadOut";
//#line 236 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_PreviousFrame = "PreviousFrame";
//#line 247 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_Off = "Off";
//#line 249 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_Line0 = "Line0";
//#line 250 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_Line1 = "Line1";
//#line 251 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_Line2 = "Line2";
//#line 252 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_Line3 = "Line3";
//#line 254 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_UserOutput0 = "UserOutput0";
//#line 255 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_UserOutput1 = "UserOutput1";
//#line 256 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_UserOutput2 = "UserOutput2";
//#line 257 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_UserOutput3 = "UserOutput3";
//#line 259 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_Counter0Active = "Counter0Active";
//#line 260 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_Counter1Active = "Counter1Active";
//#line 261 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_LogicBlock0 = "LogicBlock0";
//#line 262 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_LogicBlock1 = "LogicBlock1";
//#line 264 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_ExposureActive = "ExposureActive";
//#line 265 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_FrameTriggerWait = "FrameTriggerWait";
//#line 266 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_SerialPort0 = "SerialPort0";
//#line 267 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_PPSSignal = "PPSSignal";
//#line 268 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_AllPixel = "AllPixel";
//#line 269 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSource_AnyPixel = "AnyPixel";
//#line 275 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSelector_Line0 = "Line0";
//#line 276 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSelector_Line1 = "Line1";
//#line 277 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSelector_Line2 = "Line2";
//#line 278 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_LineSelector_Line3 = "Line3";
//#line 284 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Input = "Input";
//#line 285 "/tmp/binarydeb/ros-kinetic-spinnaker-camera-driver-0.1.3/cfg/Spinnaker.cfg"
      const char * const Spinnaker_Output = "Output";
}

#undef DYNAMIC_RECONFIGURE_FINAL

#endif // __SPINNAKERRECONFIGURATOR_H__
